> For the complete documentation index, see [llms.txt](https://docs.toomuchmedia.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.toomuchmedia.com/api/api-endpoints/member/api-member-restricted-value.md).

# /api/member/restricted‑value

## POST /api/member/restricted-value

> Add restricted value for member fields

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/member/restricted-value"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"post_member_restricted-value":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["value"]}}},"paths":{"/api/member/restricted-value":{"post":{"description":"Add restricted value for member fields","tags":["/api/member/restricted-value"],"parameters":[{"name":"value","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/post_member_restricted-value"}},"application/json":{"schema":{"$ref":"#/components/schemas/post_member_restricted-value"}},"application/xml":{"schema":{"$ref":"#/components/schemas/post_member_restricted-value"}}}}}}}}}
```

## DELETE /api/member/restricted-value

> Disable a restricted value for member fields

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/member/restricted-value"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"delete_member_restricted-value":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["restricted_value_id"]}}},"paths":{"/api/member/restricted-value":{"delete":{"description":"Disable a restricted value for member fields","tags":["/api/member/restricted-value"],"parameters":[{"name":"restricted_value_id","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/delete_member_restricted-value"}},"application/json":{"schema":{"$ref":"#/components/schemas/delete_member_restricted-value"}},"application/xml":{"schema":{"$ref":"#/components/schemas/delete_member_restricted-value"}}}}}}}}}
```

## PATCH /api/member/restricted-value

> Reactivate a restricted value for member fields

```json
{"openapi":"3.0.2","info":{"title":"API Specification","version":"v1"},"tags":[{"name":"/api/member/restricted-value"}],"security":[{"api-key":[],"api-username":[]}],"components":{"securitySchemes":{"api-key":{"type":"apiKey","in":"header","name":"api-key"}},"schemas":{"patch_member_restricted-value":{"type":"object","properties":{"success":{"type":"boolean"}},"required":["restricted_value_id"]}}},"paths":{"/api/member/restricted-value":{"patch":{"description":"Reactivate a restricted value for member fields","tags":["/api/member/restricted-value"],"parameters":[{"name":"restricted_value_id","in":"query","schema":{"type":"string"},"required":true}],"responses":{"200":{"description":"success","content":{"text/php":{"schema":{"$ref":"#/components/schemas/patch_member_restricted-value"}},"application/json":{"schema":{"$ref":"#/components/schemas/patch_member_restricted-value"}},"application/xml":{"schema":{"$ref":"#/components/schemas/patch_member_restricted-value"}}}}}}}}}
```
